petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexRestoreFaceFields

Restore the field values values for a chunk of faces

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexRestoreFaceFields(DM dm, PetscInt fStart, PetscInt fEnd, Vec locX, Vec locX_t, Vec faceGeometry, Vec cellGeometry, Vec locGrad, PetscScalar **uL, PetscScalar **uR)

### Input Parameters

| dm | - The DM Many br
| fStart | - The first face to include Many br
| fEnd | - The first face to exclude Many br
| locX | - A local vector with the solution fields Many br
| locX_t | - A local vector with solution field time derivatives, or NULL Many br
| faceGeometry | - A local vector with face geometry Many br
| cellGeometry | - A local vector with cell geometry Many br
| locaGrad | - A local vector with field gradients, or NULL Many br

### Output Parameters

| uL | - The field values at the left side of the face Many br
| uR | - The field values at the right side of the face Many br

Many br

### See Also

DMPlexGetFaceFields()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages